.ua_minerva .uas_top-navigation {
  --ua_color--text: #262a2e;

  max-width: var(--ua_layout-width--wide);
  margin: 0 auto;
  padding-inline: var(--ua_space--flow-half);
  margin-block-end: var(--ua_space--flow);
}

.ua_minerva .uas_top-navigation .menu-top-nav-container {
  width: 100%;
}

.ua_minerva .ua_top-navigation__list {         
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.ua_minerva .ua_top-navigation__list li {
  background: var(--ua_color--text);
  display: flex;
  align-items: center;
}

.ua_minerva .ua_top-navigation__list li a {
  color: var(--ua_color-background--element);
  font-size: var(--ua_font-size--small);
  text-decoration: none;
  padding-inline: var(--ua_space--2);
  padding-block-end: var(--ua_space--05);
}

.ua_minerva .ua_top-navigation__list li:not(:last-of-type) a {
  border-right: 1px solid var(--ua_color-text--link);
  border-image: linear-gradient(to bottom, var(--ua_color--text) 0%, var(--ua_color--text) 25%, var(--ua_color-text--link) 25%, var(--ua_color-text--link) 75%, var(--ua_color--text) 75%) 1;
}

.ua_minerva .ua_top-navigation__list li a:hover,
.ua_minerva .ua_top-navigation__list li a:focus {
  background: var(--ua_color-text--default);
  color: var(--ua_color-background--info);
  text-decoration: underline var(--ua_color-text--link);
}

@media (max-width: 58em) {
  .ua_minerva .uas_top-navigation {
    padding-inline: 0;
  }

  .ua_minerva .ua_top-navigation__list {
    justify-content: space-around;
    background: var(--ua_color--text);
  }

  .ua_minerva .ua_top-navigation__list li {
    flex-grow: 1;
  }

  .ua_minerva .ua_top-navigation__list li a {
    flex-grow: 1;
    display: flex;
    justify-content: center;
  }
}